<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>UnicodeString (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UnicodeString (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/UnicodeString.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/common/SharedFeature.html"
               title="interface in org.apache.poi.hssf.record.common"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.ExtRst.html"
               title="class in org.apache.poi.hssf.record.common"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/common/UnicodeString.html" target="_top">Frames</a>
        </li>
        <li><a href="UnicodeString.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.common</div>
    <h2 title="Class UnicodeString" class="title">Class UnicodeString</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.record.common.UnicodeString</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Comparable&lt;<a
                            href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html"
                            title="class in org.apache.poi.hssf.record.common">UnicodeString</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">UnicodeString</span>
extends java.lang.Object
implements java.lang.Comparable&lt;<a href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html"
                                      title="class in org.apache.poi.hssf.record.common">UnicodeString</a>&gt;</pre>
                <div class="block">Title: Unicode String<p>
                    Description: Unicode String - just standard fields that are in several records.
                    It is considered more desirable then repeating it in all of them.
                    <p>
                        This is often called a XLUnicodeRichExtendedString in MS documentation.
                    <p>
                        REFERENCE: PG 264 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)
                    <p>
                        REFERENCE: PG 951 Excel Binary File Format (.xls) Structure Specification v20091214</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.ExtRst.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.ExtRst</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.FormatRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.FormatRun</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.PhRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.PhRun</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#UnicodeString-org.apache.poi.hssf.record.RecordInputStream-">UnicodeString</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>
                                    <div class="block">construct a unicode string record and fill its fields, ID is
                                        ignored
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#UnicodeString-java.lang.String-">UnicodeString</a></span>(java.lang.String&nbsp;str)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#addFormatRun-org.apache.poi.hssf.record.common.UnicodeString.FormatRun-">addFormatRun</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.FormatRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.FormatRun</a>&nbsp;r)</code>
                                    <div class="block">Adds a font run to the formatted string.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#clearFormatting--">clearFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#compareTo-org.apache.poi.hssf.record.common.UnicodeString-">compareTo</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString</a>&nbsp;str)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>
                                    <div class="block">Our handling of equals is inconsistent with compareTo.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.FormatRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.FormatRun</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#formatIterator--">formatIterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#getCharCount--">getCharCount</a></span>()</code>
                                    <div class="block">get the number of characters in the string,
                                        as an un-wrapped int
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#getCharCountShort--">getCharCountShort</a></span>()</code>
                                    <div class="block">get the number of characters in the string,
                                        wrapped as needed to fit within a short
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#getDebugInfo--">getDebugInfo</a></span>()</code>
                                    <div class="block">return a character representation of the fields of this record
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.ExtRst.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.ExtRst</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#getExtendedRst--">getExtendedRst</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.FormatRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.FormatRun</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#getFormatRun-int-">getFormatRun</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#getFormatRunCount--">getFormatRunCount</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#getOptionFlags--">getOptionFlags</a></span>()</code>
                                    <div class="block">get the option flags which among other things return if this is a
                                        16-bit or
                                        8 bit string
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#getString--">getString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#removeFormatRun-org.apache.poi.hssf.record.common.UnicodeString.FormatRun-">removeFormatRun</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.FormatRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.FormatRun</a>&nbsp;r)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">serialize</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</code>
                                    <div class="block">Serialises out the String.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#setCharCount-short-">setCharCount</a></span>(short&nbsp;cc)</code>
                                    <div class="block">set the number of characters in the string</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#setOptionFlags-byte-">setOptionFlags</a></span>(byte&nbsp;of)</code>
                                    <div class="block">set the option flags which among other things return if this is a
                                        16-bit or
                                        8 bit string
                                    </div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#setString-java.lang.String-">setString</a></span>(java.lang.String&nbsp;string)</code>
                                    <div class="block">set the actual string this contains</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#swapFontUse-short-short-">swapFontUse</a></span>(short&nbsp;oldFontIndex,
                                    short&nbsp;newFontIndex)</code>
                                    <div class="block">Swaps all use in the string of one font index
                                        for use of a different font index.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#toString--">toString</a></span>()</code>
                                    <div class="block">unlike the real records we return the same as "getString()"
                                        rather than debug info
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="UnicodeString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>UnicodeString</h4>
                                <pre>public&nbsp;UnicodeString(java.lang.String&nbsp;str)</pre>
                            </li>
                        </ul>
                        <a name="UnicodeString-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>UnicodeString</h4>
                                <pre>public&nbsp;UnicodeString(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                                <div class="block">construct a unicode string record and fill its fields, ID is
                                    ignored
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>in</code> - the RecordInputstream to read the record from</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <div class="block">Our handling of equals is inconsistent with compareTo. The trouble is
                                    because we don't truely understand
                                    rich text fields yet it's difficult to make a sound comparison.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - The object to compare.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the object is actually equal.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCharCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCharCount</h4>
                                <pre>public&nbsp;int&nbsp;getCharCount()</pre>
                                <div class="block">get the number of characters in the string,
                                    as an un-wrapped int
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of characters</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCharCountShort--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCharCountShort</h4>
                                <pre>public&nbsp;short&nbsp;getCharCountShort()</pre>
                                <div class="block">get the number of characters in the string,
                                    wrapped as needed to fit within a short
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of characters</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCharCount-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCharCount</h4>
                                <pre>public&nbsp;void&nbsp;setCharCount(short&nbsp;cc)</pre>
                                <div class="block">set the number of characters in the string</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cc</code> - - number of characters</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOptionFlags--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOptionFlags</h4>
                                <pre>public&nbsp;byte&nbsp;getOptionFlags()</pre>
                                <div class="block">get the option flags which among other things return if this is a
                                    16-bit or
                                    8 bit string
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>optionflags bitmask</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOptionFlags-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOptionFlags</h4>
                                <pre>public&nbsp;void&nbsp;setOptionFlags(byte&nbsp;of)</pre>
                                <div class="block">set the option flags which among other things return if this is a
                                    16-bit or
                                    8 bit string
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>of</code> - optionflags bitmask</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getString()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the actual string this contains as a java String object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setString</h4>
                                <pre>public&nbsp;void&nbsp;setString(java.lang.String&nbsp;string)</pre>
                                <div class="block">set the actual string this contains</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>string</code> - the text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormatRunCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormatRunCount</h4>
                                <pre>public&nbsp;int&nbsp;getFormatRunCount()</pre>
                            </li>
                        </ul>
                        <a name="getFormatRun-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormatRun</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.FormatRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.FormatRun</a>&nbsp;getFormatRun(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="addFormatRun-org.apache.poi.hssf.record.common.UnicodeString.FormatRun-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addFormatRun</h4>
                                <pre>public&nbsp;void&nbsp;addFormatRun(<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.FormatRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.FormatRun</a>&nbsp;r)</pre>
                                <div class="block">Adds a font run to the formatted string.

                                    If a font run exists at the current charcter location, then it is
                                    replaced with the font run to be added.
                                </div>
                            </li>
                        </ul>
                        <a name="formatIterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>formatIterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.FormatRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.FormatRun</a>&gt;&nbsp;formatIterator()</pre>
                            </li>
                        </ul>
                        <a name="removeFormatRun-org.apache.poi.hssf.record.common.UnicodeString.FormatRun-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeFormatRun</h4>
                                <pre>public&nbsp;void&nbsp;removeFormatRun(<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.FormatRun.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.FormatRun</a>&nbsp;r)</pre>
                            </li>
                        </ul>
                        <a name="clearFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearFormatting</h4>
                                <pre>public&nbsp;void&nbsp;clearFormatting()</pre>
                            </li>
                        </ul>
                        <a name="getExtendedRst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtendedRst</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.ExtRst.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString.ExtRst</a>&nbsp;getExtendedRst()</pre>
                            </li>
                        </ul>
                        <a name="swapFontUse-short-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>swapFontUse</h4>
                                <pre>public&nbsp;void&nbsp;swapFontUse(short&nbsp;oldFontIndex,
                        short&nbsp;newFontIndex)</pre>
                                <div class="block">Swaps all use in the string of one font index
                                    for use of a different font index.
                                    Normally only called when fonts have been
                                    removed / re-ordered
                                </div>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block">unlike the real records we return the same as "getString()" rather
                                    than debug info
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>String value of the record</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html#getDebugInfo--"><code>getDebugInfo()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDebugInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDebugInfo</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDebugInfo()</pre>
                                <div class="block">return a character representation of the fields of this record</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>String of output for biffviewer etc.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</pre>
                                <div class="block">Serialises out the String. There are special rules
                                    about where we can and can't split onto
                                    Continue records.
                                </div>
                            </li>
                        </ul>
                        <a name="compareTo-org.apache.poi.hssf.record.common.UnicodeString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>compareTo</h4>
                                <pre>public&nbsp;int&nbsp;compareTo(<a
                                        href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString</a>&nbsp;str)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a
                                            href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.html"
                                            title="class in org.apache.poi.hssf.record.common">UnicodeString</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;clone()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/UnicodeString.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/common/SharedFeature.html"
               title="interface in org.apache.poi.hssf.record.common"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.ExtRst.html"
               title="class in org.apache.poi.hssf.record.common"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/common/UnicodeString.html" target="_top">Frames</a>
        </li>
        <li><a href="UnicodeString.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
